vxWorks port of Glib

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

vxWorks port of Glib

Dan Amelang
Hello all,

I'm considering porting a subset of Glib (mostly the data structures)
to vxWorks. I already ported ghash by hand (I just bypassed configure
and massaged some header files by hand) without much trouble. Before
any further work, I'd just like to hear if anyone knows of any prior
work in the area (google and this list archive turns up very little).
Also, any advice (besides RTFM) ?

I hope this is the right list for this question...

Dan
_______________________________________________
gtk-devel-list mailing list
[hidden email]
http://mail.gnome.org/mailman/listinfo/gtk-devel-list
Reply | Threaded
Open this post in threaded view
|

bug in atk build

Mike Emmel
I consistently get this in the latest cvs of atk and ideas ?
I can hack the version number till it works
./libtool --version
ltmain.sh (GNU libtool) 1.5.8 (1.1220.2.117 2004/08/04 14:12:05)



/bin/sh ../libtool --mode=link gcc  -g -O2 -Wall   -o libatk-1.0.la
-rpath /Qspin/System/lib -version-info 1011:0:1011   atkaction.lo
atkcomponent.lo atkdocument.lo atkeditabletext.lo
atkgobjectaccessible.lo atkhyperlink.lo atkhypertext.lo atkimage.lo
atknoopobject.lo atknoopobjectfactory.lo atkobject.lo
atkobjectfactory.lo atkregistry.lo atkrelation.lo atkrelationset.lo
atkselection.lo atkstate.lo atkstateset.lo atkstreamablecontent.lo
atktable.lo atktext.lo atkutil.lo atkvalue.lo atk-enum-types.lo
-L/Qspin/System/lib -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
libtool: link: CURRENT `1011' is not a nonnegative integer
libtool: link: `1011:0:1011' is not valid version information
make[2]: *** [libatk-1.0.la] Error 1
make[2]: Leaving directory `/home/memmel/opensource/atk/atk'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/home/memmel/opensource/atk/atk'
_______________________________________________
gtk-devel-list mailing list
[hidden email]
http://mail.gnome.org/mailman/listinfo/gtk-devel-list
Reply | Threaded
Open this post in threaded view
|

Re: bug in atk build

Maciej Katafiasz
Dnia 03-06-2005, pią o godzinie 17:25 -0400, Mike Emmel napisał:
> I consistently get this in the latest cvs of atk and ideas ?
> I can hack the version number till it works

[snip]

> libtool: link: CURRENT `1011' is not a nonnegative integer
> libtool: link: `1011:0:1011' is not valid version information
> make[2]: *** [libatk-1.0.la] Error 1
> make[2]: Leaving directory `/home/memmel/opensource/atk/atk'
> make[1]: *** [install] Error 2
> make[1]: Leaving directory `/home/memmel/opensource/atk/atk'

Upgrade libtool. 1.5.16 upstream (I think), or depending on the distro,
one of earlier versions is enough, for example, Debian has 1.5.6 patched
for that. Then rerun autogen.sh on each affected module to get new
libtool propagated.

Cheers,
Maciej

--
Maciej Katafiasz <[hidden email]>

_______________________________________________
gtk-devel-list mailing list
[hidden email]
http://mail.gnome.org/mailman/listinfo/gtk-devel-list